header {
    height: 412px;
    user-select: none;
    pointer-events: none;
}
.header-container {
    width: 100%;
    height: 741px;
    display: flex;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    background-image: url("/img/tools/background.webp");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}
.activity-icons-container {
    display: flex;
    justify-content: center;
    gap: 60px;
}
.activity-icons-container img {
    width: 90px;
    height: 90px;
    object-fit: contain;
    object-position: center;
    border-radius: 10px;
}
.activity-slider {
    position: relative;
    height: 100%;
    width: 100%;
    overflow: hidden;
}
.activity-details {
    max-width: min(1640px, 90%);
    margin: auto;
    transition: 0.3s width;
    margin-top: 20px;
}
.activityImg.swiper {
    width: 120%;
    height: 100%;
    overflow: hidden;
    transform: translateX(-8.1%);
    padding-bottom: 20px;
    padding-top: 20px;
}
.activityImg .swiper-wrapper {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: grab;
}
.activityImg .swiper-wrapper:active {
    cursor: grabbing;
}
.activityImg .swiper-slide {
    text-align: center;
    font-size: 18px;
    background: transparent;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    border-radius: 8px;
    aspect-ratio: 9/14;
    box-shadow: 0 5px 20px rgb(0,0,0,0.2);
    transition: 0.25s margin-right, 0.25s width;
}
.activityImg .swiper-slide:last-child {
    margin-right: 0 !important;
}
.activityImg .swiper-slide img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: fill;
    object-position: center;
    aspect-ratio: 9/14;
    user-select: none;
    position: relative;
    transition: 0.25s scale;
}

.companies-container{
    width: 1640px;
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    row-gap: 44px;
    column-gap: 75px;
}

.companies-item{
    border: 1px solid #CBB779;
    border-radius: 8px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 16px;
}

.references-container{
    width: 1640px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    row-gap: 64px;
    column-gap: 70px;
    margin-bottom: 72px;
}

.references-item{
    display: flex;
    align-items: center;
    flex-direction: column;
    padding: 16px;
}

.references-item img{
    width: 108px;
    height: 108px;
}

.references-item-title{
    margin-top: 16px;
    font-size: 20px;
    line-height: 30px;
    color: #2C2829;
    text-align: center;
}
.references-item-subtitle{
    font-size: 16px;
    line-height: 24px;
    color: #2C2829;
    margin-top: 10px;
    text-align: center;
}

@media (max-width: 1920px) {
    .header-container{
        height: 731px;
    }
}

@media (max-width: 1640px) {
    .companies-container{
        width: 90%;
        grid-template-columns: repeat(3, 1fr);
    }

    .references-container{
        width: 90%;
        grid-template-columns: repeat(2, 1fr);
    }

    .header-container{
        height: 731px;
    }
}
@media (max-width: 1150px) {
    .activity-icons-container {
        gap:30px;
    }
    .companies-container{
        width: 90%;
        grid-template-columns: repeat(2, 1fr);
    }
}
@media (max-width: 960px) {
    .activity-details {
        width: 88%;
    }
    .activityImg.swiper {
        width: 230%;
        transform: translateX(-28.3%);
    }
    .activity-icons-container {
        width: 310px;
        gap: 20px;
        flex-wrap: wrap;
    }
}
@media (max-width: 600px) {
    .activity-icons-container img {
        width: 80px;
        height: 80px;
    }
    
    .companies-container{
        width: 90%;
        grid-template-columns: repeat(1, 1fr);
    }

    .references-container{
        width: 90%;
        grid-template-columns: repeat(1, 1fr);
    }

    header{
        height: 412px;
    }

    .activity-container{
        min-height: 310px;
    }
}
@media (max-width: 390px) {
    .activity-icons-container {
        gap: 10px;
        width: 230px;
    }
    .activity-icons-container img {
        width: 70px;
        height: 70px;
    }
}
@media (max-width: 290px) {
    .activity-icons-container {
        width: 180px;
    }
    .activity-icons-container img {
        width: 50px;
        height: 50px;
    }
}